IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'gen_config' AND COLUMN_NAME = 'idObjeto')
BEGIN
	ALTER TABLE [gen_config]
	ADD [idObjeto] INT NULL
END
GO

IF NOT EXISTS(SELECT 1 FROM _columnas WHERE tabla = 'gen_config' AND columna = 'idObjeto')
BEGIN  
	INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gen_config'
           ,'idObjeto'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL
		   ,0
		   ,0
		   ,NULL)
END